Package org.apache.lucene.search

# Class IndexSearcher.TooManyNestedClauses

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.lucene.search.IndexSearcher.TooManyClauses
org.apache.lucene.search.IndexSearcher.TooManyNestedClauses

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `IndexSearcher`

public static class IndexSearcher.TooManyNestedClauses extends IndexSearcher.TooManyClauses
Thrown when a client attempts to execute a Query that has more than `IndexSearcher.TooManyClauses.getMaxClauseCount()` total clauses cumulatively in all of its children.

See Also:
  - `IndexSearcher.rewrite(org.apache.lucene.search.Query)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TooManyNestedClauses()`

- ## Method Summary

  ### Methods inherited from class org.apache.lucene.search.IndexSearcher.TooManyClauses

  `getMaxClauseCount`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TooManyNestedClauses

    public TooManyNestedClauses()